Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.portrayal.grid
Class ObjectGrid2DPortrayal

    java.lang.Object
      sim.portrayal.FieldPortrayal
          sim.portrayal.FieldPortrayal2D
              sim.portrayal.grid.ObjectGrid2DPortrayal

All Implemented Interfaces:
  Portrayal, Portrayal2D, java.io.Serializable

Direct Known Subclasses:
  HexaObjectGrid2DPortrayal

public class ObjectGrid2DPortrayal
extends FieldPortrayal2D

A portrayal for grids containing objects, such as maybe agents or agent bodies.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class sim.portrayal.FieldPortrayal
`FieldPortrayal.CustomInspector`

Field Summary
`ObjectGrid2D` | `field`

Fields inherited from class sim.portrayal.FieldPortrayal
`classPortrayals, portrayalForAll, portrayalForNull, portrayalForRemainder, portrayals`

Constructor Summary
`ObjectGrid2DPortrayal()`

Method Summary
`Portrayal` | `getDefaultPortrayal()` Should return a portrayal which can portray any object regardless of whether it's valid or not
`java.lang.Object` | `getField()` Returns the current field.
`LocationWrapper` | `getWrapper(Int2D location)`
`protected void` | `hitOrDraw(java.awt.Graphics2D graphics, DrawInfo2D info, Bag putInHere)` Instead of overriding the draw and hitObjects methods, you can optionally override this method to provide both the draw(...) and hitObjects(...) functionality in a single method, as it's common that these two methods have nearly identical code.
`void` | `setField(java.lang.Object field)` Attaches the field portrayal to the given field.

Methods inherited from class sim.portrayal.FieldPortrayal2D
`draw, hitObjects`

Methods inherited from class sim.portrayal.FieldPortrayal
`getDefaultNullPortrayal, getInspector, getName, getPortrayalForAll, getPortrayalForNull, getPortrayalForObject, getPortrayalForRemainder, setPortrayalForAll, setPortrayalForClass, setPortrayalForNull, setPortrayalForObject, setPortrayalForRemainder, setSelected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface sim.portrayal.Portrayal
`getInspector, getName, setSelected`

Field Detail

### field

    public ObjectGrid2D field

Constructor Detail

### ObjectGrid2DPortrayal

    public ObjectGrid2DPortrayal()

Method Detail

### setField

    public void setField(java.lang.Object field)

  Description copied from class: `FieldPortrayal`
  Attaches the field portrayal to the given field. Should throw an exception if the object is invalid.

  Specified by:
    `setField` in class `FieldPortrayal`

### getField

    public java.lang.Object getField()

  Description copied from class: `FieldPortrayal`
  Returns the current field.

  Specified by:
    `getField` in class `FieldPortrayal`

### getDefaultPortrayal

    public Portrayal getDefaultPortrayal()

  Description copied from class: `FieldPortrayal`
  Should return a portrayal which can portray any object regardless of whether it's valid or not

  Specified by:
    `getDefaultPortrayal` in class `FieldPortrayal`

### hitOrDraw

    protected void hitOrDraw(java.awt.Graphics2D graphics,
                             DrawInfo2D info,
                             Bag putInHere)

  Description copied from class: `FieldPortrayal2D`
  Instead of overriding the draw and hitObjects methods, you can optionally override this method to provide both the draw(...) and hitObjects(...) functionality in a single method, as it's common that these two methods have nearly identical code. You should test which operation to do based on whether or not graphics is null (if it is, you're hitting, else you're drawing).

  Overrides:
    `hitOrDraw` in class `FieldPortrayal2D`

### getWrapper

    public LocationWrapper getWrapper(Int2D location)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD